<cfset upload_dir = "c:/uploads">
<cfset debug_file = "#variables.upload_dir#/upload_debug.txt">
<cfset message = "">
<cfset sep = "/">

<cfset x = GetHttpRequestData()>
<cffile action = "append"
  file="#variables.debug_file#"
  addNewLine="Yes"
  output="----  Date:#TimeFormat(Now(),"yyyy/MM/dd HH:mm:ss")# -----
  Method:#x.method#
  Headers:">
<cfloop collection = #x.headers# item = "http_item">
  <cffile action = "append"
     file="#variables.debug_file#"
     addNewLine="Yes"
     output="    #http_item#=#StructFind(x.headers, http_item)#">
</cfloop>

<cffile action = "append"
     file="#variables.debug_file#"
     addNewLine="Yes"
     output="  URL:">
<cfloop collection = #URL# item = "form_item">
  <cffile action = "append"
     file="#variables.debug_file#"
     addNewLine="Yes"
     output="    #form_item#=#StructFind(URL, form_item)#">
</cfloop>

<cffile action = "append"
     file="#variables.debug_file#"
     addNewLine="Yes"
     output="  Form:">
<cfloop collection = #FORM# item = "form_item">
  <cffile action = "append"
     file="#variables.debug_file#"
     addNewLine="Yes"
     output="    #form_item#=#StructFind(FORM, form_item)#">
</cfloop>


<cfif isDefined("form.uploadfile")>
    <cfset Account = "">
    <cfif isDefined("form.account")>
       <cfset Account = Form.account>
       <cfset Account = ReReplace(Account,"\\",sep,"ALL")>
	   <cfset Account = ReReplace(Account,"//",sep,"ALL")>
	   <cfset Account = ReReplace(Account,"/",sep,"ALL")>
        <cfif Compare(Mid(Account,1,1),sep) is not "0">
		  <cfset Account = sep & Account>
	   </cfif>
	</cfif>
    <cfset TargetFolder = upload_dir & Account>
    <!--- relalivefilename support for folders and subfolders creation. --->
    <cfif isDefined("form.relativefilename")>
       <cfset Relative = Form.relativefilename>
       <cfset Relative = ReReplace(Relative,"\\",sep,"ALL")>
	   <cfset Relative = ReReplace(Relative,"//",sep,"ALL")>
	   <cfset Relative = ReReplace(Relative,"/",sep,"ALL")>
	   <cfset ReverseFullPath = Reverse(Relative)>
	   <cfset SlashPosition = Find(sep,ReverseFullPath)>
	   <cfset PathLen = Len(ReverseFullPath)>
	   <cfset FullPath = Reverse(ReverseFullPath)>
       <cfif SlashPosition is 0>
		  <cfset CleanDir = upload_dir & Account>
	   <cfelse>
	  	 <cfset CleanDir = Left(FullPath, (PathLen - SlashPosition))>
		 <cfset CleanDir = upload_dir & Account & sep & CleanDir>
		 <cfset CleanDir = ReplaceList(CleanDir,"\\",sep)>
	   </cfif>
	   <cfset TargetFolder = CleanDir>
	   <cfif DirectoryExists(CleanDir) is "No">
		  <cfdirectory action="create" directory="#CleanDir#">
	   </cfif>
    </cfif>
  <cffile action="upload"
     fileField="uploadfile"
     nameconflict="OVERWRITE"
     destination="#variables.TargetFolder#">
     <cfset message = message & "#file.serverFile# (#file.fileSize# bytes) uploaded into #file.serverDirectory#">
</cfif>

<html>
<head>
<title>Upload file: CFMScript sample</title>
</head>
<body>
<center>
   <br>
   <cfoutput>#variables.message#</cfoutput>
   <form action="" method="post" ENCTYPE="multipart/form-data" name="upload" id="upload">
    Select file to upload :
    <input type="hidden" name="todo" value="upload">
    <input type="file" name="uploadfile">
    <input type="submit" name="upload" value="Upload">
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p align="center">&nbsp;</p>
  <p align="center">&nbsp;</p>
  <p align="center"><font size="-1" face="Courier New, Courier, mono"><a href="http://www.jfileupload.com" target="_blank">JFileUpload</a></font></p>
   </form>
</center>
</body>
</html>